
#ifndef __glogin_fwd_h_
#define __glogin_fwd_h_

typedef struct {
        char *host;
        char *service;
} fwd_desc_entry_t;

extern int *chn2fwd;      /* fwd.fd = chn2fwd[channel.id] */
extern u_short *fwd2chn;  /* channel.id = fwd2chn[fwd.fd] */

int fwd_init_table();
void fwd_create_listeners(int **,int,int,int,int,char *[]);
void fwd_create_targets(fwd_desc_entry_t **,int,int,int,char *[]);

int connect_fwd(fwd_desc_entry_t *);

#endif

