%define extension	i2glogin
%define name		%{extension}
%define version		1.1.9
%define release		0

# set default values for I2G
%{!?i2glogin_prefix: %define i2glogin_prefix /opt/i2g}
%{!?globus_flavor: %define globus_flavor gcc64pthr}

Summary:    Grid Interactive Tool, I2G
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:    GPL 
Group:      Application
Source:     %{name}-%{version}.tar.gz
Provides:	%{extension} = %{version}
Packager:   enolfc@ifca.unican.es
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
Grid Interactive Tool (I2G version)

%prep
%setup -q

%build
cd $RPM_BUILD_DIR/%{name}-%{version}
aclocal && autoheader && autoconf && automake
#./configure --with-flavor=%{globus_flavor} --enable-i2g --prefix=%{i2glogin_prefix}
./configure --with-flavor=%{globus_flavor} --enable-i2g --prefix=$RPM_BUILD_ROOT \
            --bindir=$RPM_BUILD_ROOT/%{i2glogin_prefix}/bin \
            --mandir=$RPM_BUILD_ROOT/%{i2glogin_prefix}/man
%{__make} 

%install
cd $RPM_BUILD_DIR/%{name}-%{version}
%{__make} install

%clean
rm -rf $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%{i2glogin_prefix}/
